DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Sign

Arithmetic function

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_Sign ( in, out )

## DATA TYPES

binary, integer, float

## FUNCTION

Computes the sign of the input image values, and outputs a signed integer typed image. The sign of zero is defined as zero.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output

## SEE ALSO

`Abs`, `Ceil`, `Floor`, `Truncate`, `Fraction`, `NearestInt`

DIPlib on-line documentation | Function reference | Global function index